Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class Base.StackFrame

`java.lang.Object
com.tangosol.util.Base.StackFrame`

Enclosing class:
  Base

      public static class Base.StackFrame

extends java.lang.Object

A class that provides "stack frame" information from a line of a stack trace.

Field Summary
`static Base.StackFrame` | `UNKNOWN`

Constructor Summary
`Base.StackFrame(java.lang.String sExcept)` Construct a StackFrame object from a line of a stack trace.
`Base.StackFrame(java.lang.String sFile, java.lang.String sClass, java.lang.String sMethod, int nLine)` Construct a StackFrame object from its constituent data members.

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.String` | `getFileName()`
`java.lang.String` | `getLine()`
`int` | `getLineNumber()`
`java.lang.String` | `getMethodName()`
`java.lang.String` | `getShortClassName()`
`protected void` | `init(java.lang.String sFile, java.lang.String sClass, java.lang.String sMethod, int nLine)` Initialize the fields of the StackFrame object.
`java.lang.String` | `toShortString()`
`java.lang.String` | `toString()`

Field Detail

### UNKNOWN

    public static final Base.StackFrame UNKNOWN

Constructor Detail

### Base.StackFrame

    public Base.StackFrame(java.lang.String sExcept)

  Construct a StackFrame object from a line of a stack trace.
  Parameters:
    `sExcept` - a line of a stack trace in the format used by the reference implementation of the JVM
  Throws:
    `java.lang.RuntimeException`

### Base.StackFrame

    public Base.StackFrame(java.lang.String sFile,
                           java.lang.String sClass,
                           java.lang.String sMethod,
                           int nLine)

  Construct a StackFrame object from its constituent data members.
  Parameters:
    `sFile` - the source file name (e.g. Test.java)
    `sClass` - the fully qualified class name (e.g. pkg.Test$1)
    `sMethod` - the method name (e.g. main)
    `nLine` - the line number (e.g. 17) or 0 if unknown

Method Detail

### init

    protected void init(java.lang.String sFile,
                        java.lang.String sClass,
                        java.lang.String sMethod,
                        int nLine)

  Initialize the fields of the StackFrame object.
  Parameters:
    `sFile` - the source file name (e.g. Test.java)
    `sClass` - the fully qualified class name (e.g. pkg.Test$1)
    `sMethod` - the method name (e.g. main)
    `nLine` - the line number (e.g. 17) or 0 if unknown

### getFileName

    public java.lang.String getFileName()

  Returns:
    the source file name (e.g. Test.java)

### getClassName

    public java.lang.String getClassName()

  Returns:
    the fully qualified class name (e.g. pkg.Test$1)

### getShortClassName

    public java.lang.String getShortClassName()

  Returns:
    the short class name (e.g. Test.1)

### getMethodName

    public java.lang.String getMethodName()

  Returns:
    the method name (e.g. main)

### getLineNumber

    public int getLineNumber()

  Returns:
    the line number (e.g. 17) or 0 if unknown

### getLine

    public java.lang.String getLine()

  Returns:
    the line of source code if possible or null

### toString

    public java.lang.String toString()

  Returns:
    a String representation of the StackFrame

### toShortString

    public java.lang.String toShortString()

  Returns:
    a short String representation of the StackFrame

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.